package ua.be.wee.model.nodes;

import java.util.List;

import javax.persistence.Entity;
import javax.persistence.OneToMany;

@Entity
public class ForkJoinNode extends Node {

	@OneToMany
	private List<Node> previousNodes;
	
	@OneToMany
	private List<Node> nextNodes;

	public List<Node> getPrevious() {
		return previousNodes;
	}

	public void setPrevious(List<Node> previous) {
		this.previousNodes = previous;
	}

	public List<Node> getNextNodes() {
		return nextNodes;
	}

	public void setNextNodes(List<Node> nextNodes) {
		this.nextNodes = nextNodes;
	}
	
}
